#!/bin/sh

OLD_CONFDIR="/etc/conf.d/serial/ppp"
NEW_CONFDIR="/etc/conf.d/serial/ppp2"

# Only run if there are files to convert
[ -d "${OLD_CONFDIR}" ] || exit 0

rm -f "${OLD_CONFDIR}/.keep"
for FILE in "${OLD_CONFDIR}/"*
do
	[ -e "${FILE}" ] || continue
	/usr/lib/ppp-wrapper/ppp-migrate \
		"${FILE}" \
		"${NEW_CONFDIR}/`basename "${FILE}"`"
done

rmdir "${OLD_CONFDIR}"
